Bug 1731451 - mlscolor-test fails with example configuration (mls only)
Summary: mlscolor-test fails with example configuration (mls only)
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: mcstrans
Version: 8.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 8.2
Assignee: Vit Mojzis
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks: 1770270
TreeView+ depends on / blocked
 
Reported: 2019-07-19 12:45 UTC by Vit Mojzis
Modified: 2020-01-28 09:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1770270 (view as bug list)
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1656304 None None None 2019-12-02 21:55:23 UTC

Description Vit Mojzis 2019-07-19 12:45:19 UTC
Description of problem:
mlscolor-test fails with example configuration (/usr/share/mcstrans/examples/urcsts)

Version-Release number of selected component (if applicable):
mcstrans-2.9-1.2.el8

Steps to Reproduce:
On an mls rhel 8.1 system:
# pushd /usr/share/mcstrans/examples/urcsts
# cp -f secolor.conf /etc/selinux/mls/secolor.conf
# cp -f setrans.conf /etc/selinux/mls/setrans.conf
# systemctl restart mcstrans
# python3 /usr/share/mcstrans/util/mlscolor-test urcsts.color

Actual results:

For 'system_u:system_r:inetd_t:SystemLow' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #008000'
For 'system_u:system_r:inetd_t:s0' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #008000'
For 'system_u:system_r:inetd_t:s0:c1' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #008000'
For 'system_u:system_r:inetd_t:UNCLASSIFIED' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #008000'
For 'system_u:system_r:inetd_t:s1' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #008000'
For 'system_u:system_r:inetd_t:s1:c2' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #008000'
For 'system_u:system_r:inetd_t:RESTRICTED' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #d2b48c'
For 'system_u:system_r:inetd_t:s3' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #d2b48c'
For 'system_u:system_r:inetd_t:s3:c3' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #d2b48c'
For 'system_u:system_r:inetd_t:CONFIDENTIAL' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #ffffff #0000ff'
For 'system_u:system_r:inetd_t:s5' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #ffffff #0000ff'
For 'system_u:system_r:inetd_t:s5:c0.c5' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #ffffff #0000ff'
For 'system_u:system_r:inetd_t:SECRET' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #ff0000'
For 'system_u:system_r:inetd_t:s7' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #ff0000'
For 'system_u:system_r:inetd_t:s7:c200.c300' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #ff0000'
For 'system_u:system_r:inetd_t:TOP SECRET' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #ffa500'
For 'system_u:system_r:inetd_t:s9' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #ffa500'
For 'system_u:system_r:inetd_t:s9:c1023' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #ffa500'
For 'system_u:system_r:inetd_t:s15' got
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #000000' expected
	'#000000 #000000 #000000 #000000 #000000 #000000 #000000 #ffff00'
mlscolor-test done with 19 errors

Expected results:
mlscolor-test done with 0 errors


Note You need to log in before you can comment on or make changes to this bug.